CANdb Import Window

In the CANdb Import Window you can choose the messages that shall be imported from a CANdb database.

To show a CANdb Import Window:

  1. In the File menu, select the Open command.

  2. Choose a CANdb database file (file extension *.dbc) and press the OK button.

- or -

  1. In the Project Manager on the Project Files tab, open a CANdb database either by double clicking on the file, or by selecting the Open command from the context menu.

Elements of the window

Messages in Database

This list shows all messages that are contained in the opened database.

To choose a message for import, set a check mark in the box on the left side of the list.

Message

This column displays the name of each message as defined in the database.

CAN-ID

This column contains the CAN IDs of the individual messages. The CAN IDs are displayed in hexadecimal form. A 3-digit ID indicates an 11-bit standard CAN ID, an 8-digit ID indicates an extended 29-bit CAN ID according to the CAN 2.0B protocol.

Comment

This column displays comments that have been defined for the messages in the database.

Select all

Selects all messages in the list.

Deselect all

Clears the selection in the list.

Apply

Performs the import.

If the CANdb database has not been assigned to any connection in the current project yet, a dialog box is shown where you can select one or more connections.

If the import is successful, in the Project Manager on the Project Items tab appears a new node under the Active Symbols node, using the same name as the CANdb database. This node then contains all imported messages. The Signals node then shows all imported Signals.

Note

If none of the assigned connections are enabled while Applying the file, it depends on the Activate Symbols for enabled connections only setting, whether the CANdb symbols are loaded immediately, or later when enabling the connections. This setting is located in the Options dialog box, on the General tab.

Send Feedback | Copyright © 2016 PEAK-System Technik GmbH. All rights reserved.